cannot enable php modules

Asked by vivek on 2008-09-14

I have ubuntu 8.04 installed in my comp, i recently installed apache and php, however i couldn't view php5 scripts using my browser. Whenever i try to open a php5 script using mozilla, it tries to download the file.
I checked the /etc/apache2/mods-enabled directory and found that php5.conf and php5.load were not enabled. So i tried enabling them using
sudo a2enmod php5.conf
sudo a2enmod php5.load
However, both these command gave error saying
This module does not exist!

I checked the /etc/apapche2/mods-available directory and found that both the modules were present there, what should i do to enable php?

Question information

Language:
English Edit question
Status:
Solved
For:
Ubuntu apache2 Edit question
Assignee:
No assignee Edit question
Solved by:
Albert Damen
Solved:
2008-09-16
Last query:
2008-09-16
Last reply:
2008-09-14
Best Albert Damen (albrt) said : #1

a2enmod only takes the module name, without the extension.
So "sudo a2enmod php5" should enable php5.
After that, you will need to run "/etc/init.d/apache2 force-reload" to make apache2 use php5.

vivek (viv-sunny) said : #2

Thanks Albert Damen, that solved my question.